# pandas.core.groupby.DataFrameGroupBy.shift

`DataFrameGroupBy.``shift`(periods=1, freq=None, axis=0, fill_value=None)

  Shift each group by periods observations.

  Parameters:

  periods : integer, default 1

  > number of periods to shift

  freq : frequency string

  axis : axis to shift, default 0

  fill_value : optional

  > New in version 0.24.0.

  Returns:

  Series or DataFrame

  > Object shifted within each group.

  See also

  `Series.groupby`, `DataFrame.groupby`

Scroll To Top